<?php 

/**
 * The template for displaying product content in the content-widget-product.php template
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.5.2
 */

global $product; ?>

<li class="has-thumbnail">
	<figure>
		<a href="<?php echo esc_url( get_permalink( $product->get_id() ) ); ?>" title="<?php $product->get_title(); ?>">
			<?php echo wp_kses( $product->get_image() , 'post'); ?>
		</a>
	</figure>
	<div class="body">
		<p class="wg-pp-title"><a href="<?php echo esc_url( get_permalink( $product->get_id() ) ); ?>"><?php echo esc_html($product->get_title()); ?></a></p>
		<?php if ( ! empty( $show_rating ) ) echo wp_kses( wc_get_rating_html($product->get_id()), mental_allowed_tags() ); ?>
		<b><?php echo wp_kses( $product->get_price_html(), mental_allowed_tags() ); ?></b>
	</div>
</li>